<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org" class="h-100">
<head>
	<title th:text="${paper.getTitle()}"></title>
	<meta charset="utf-8">
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="theme-color" content="#7952b3">
	<link rel="icon" href="/assets/icons/favicon.ico" type="image/x-icon"/>

	<!-- Bootstrap core CSS -->
	<link href="/assets/css/bootstrap.min.css" rel="stylesheet">

	<style>
      .bd-placeholder-img {
        font-size: 1.125rem;
        text-anchor: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        user-select: none;
      }

      main > .container {
		padding: 60px 15px 0;
	  }

      @media (min-width: 768px) {
        .bd-placeholder-img-lg {
          font-size: 3.5rem;
        }
      }

	  .to-bigger {
		font-size: 18px;
	  }
	  pre {
		margin: 0px;
	  }
    </style>


</head>
<body class="d-flex flex-column h-100">

	<header>
	  <!-- Fixed navbar -->
	  <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
	    <div class="container-fluid">
	      <a class="navbar-brand" href="/">Paper App</a>
	      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
	        <span class="navbar-toggler-icon"></span>
	      </button>
	      <div class="collapse navbar-collapse" id="navbarCollapse">
	        <ul class="navbar-nav me-auto mb-2 mb-md-0">
	          
	        </ul>
	        <div class="d-flex">
	        	<ul class="navbar-nav me-auto mb-2 mb-md-0">
	          		<li class="nav-item">
	            		<a class="nav-link" href="/papers">Papers</a>
					</li>
					<li class="nav-item">
	            		<a class="nav-link" href="/authors">Authors</a>
					</li>
					<li class="nav-item">
	            		<a class="nav-link" href="/reviewers">Reviewers</a>
					</li>
					<li class="nav-item">
	            		<a class="nav-link" href="/universities">Universities</a>
					</li>
					  
	        	</ul>

	        </div>
	      </div>
	    </div>
	  </nav>
	</header>









	<!-- Begin page content -->
	<main class="flex-shrink-0">
	  <div class="container">
		
		<div class="row">
			<div class="col-md-7">
				<h1 class="mt-5" th:text="${paper.getTitle()}"></h1>
				<h3 class=""	 th:text="${paper.getSubTitle()}"></h3>
			</div>
			<div class="col-md-5">
				
				<div style="float: right;" class="mt-5">
					
					<a th:href="@{/papers/edit/{id}(id = ${paper.getId()})}" class="btn btn-warning">Edit</a>
					<a th:href="@{/papers/delete/{id}(id = ${paper.getId()})}" class="btn btn-danger">Delete</a>

				</div>
				
			</div>
	
		</div>

		<div class="card" >
			<ul class="list-group list-group-flush">
				<li class="list-group-item">
					<div class="row">
						<div class="col-md-3 to-bigger">DOI</div>
						<div class="col-md-9"><pre class="to-bigger" th:text="${paper.getDoi()}"></pre></div>
					</div>
				</li>
				<li class="list-group-item">
					<div class="row">
						<div class="col-md-3 to-bigger">Title</div>
						<div class="col-md-9 to-bigger"><span th:text="${paper.getTitle()}"></span></div>
					</div>
				</li>
				<li class="list-group-item">
					<div class="row">
						<div class="col-md-3 to-bigger">Subtitle</div>
						<div class="col-md-9 to-bigger"><span th:text="${paper.getSubTitle()}"></span></div>
					</div>
				</li>
				<li class="list-group-item">
					<div class="row">
						<div class="col-md-3 to-bigger">Number of Citations</div>
						<div class="col-md-9 to-bigger"><span th:text="${paper.getNcit()}"></span></div>
					</div>
				</li>
				<li class="list-group-item">
					<div class="row">
						<div class="col-md-3 to-bigger">Pubblication Date</div>
						<div class="col-md-9 to-bigger"><span th:text="${paper.getFormattedPubDate()}"></span></div>
					</div>
				</li>


				<li class="list-group-item">
					<div class="row">
						<div class="col-md-3 to-bigger">Cited papers</div>
						<div class="col-md-9">

							<table class="table">
								<thead>
									<tr>
										<th scope="col">DOI</th>
										<th scope="col">Title</th>
										<th scope="col">SubTitle</th>
										<th scope="col">Pubblication Date</th>
										<th scope="col">Number of Citations</th>
										<th scope="col"></th>
									</tr>
								</thead>
								<tbody>
					
									<tr th:each="citation : ${citations}">

										<td th:text="${citation.getDoi()}"></td>
										<td th:text="${citation.getTitle()}"></td>
										<td th:text="${citation.getSubTitle()}"></td>
										<td th:text="${citation.getFormattedPubDate()}"></td>
										<td th:text="${citation.getNcit()}"></td>
										<td>
											<div style="float: right;">
												<a th:href="@{/papers/{id}(id = ${citation.getId()})}" class="btn btn-primary">Go</a>
												
												<form action="#" th:action="@{/delete_paper_quote/{id}(id = ${paper.getId()})}" method="post" style="float:right;margin-left:5px;">
													<input type="hidden" id="idPaper" name="idPaper" th:value="${citation.getId()}">
													<button type="submit" class="btn btn-danger">Remove</button>
												</form>
											</div>
										</td>
					
									</tr>
					
								</tbody>
							</table>

							<div class="d-grid gap-2">
								<a th:href="@{/papers/add_paper_quote/{id}(id = ${paper.getId()})}" class="btn btn-secondary btn-block">Add a quote</a>
							</div>

						</div>
					</div>
				</li>

				<li class="list-group-item">
					<div class="row">
						<div class="col-md-3 to-bigger">Paper quotations</div>
						<div class="col-md-9">

							<table class="table">
								<thead>
									<tr>
										<th scope="col">DOI</th>
										<th scope="col">Title</th>
										<th scope="col">SubTitle</th>
										<th scope="col">Pubblication Date</th>
										<th scope="col">Number of Citations</th>
										<th scope="col"></th>
									</tr>
								</thead>
								<tbody>
					
									<tr th:each="quote : ${quotations}">

										<td th:text="${quote.getDoi()}"></td>
										<td th:text="${quote.getTitle()}"></td>
										<td th:text="${quote.getSubTitle()}"></td>
										<td th:text="${quote.getFormattedPubDate()}"></td>
										<td th:text="${quote.getNcit()}"></td>
										<td>
											<div style="float: right;">
												<a th:href="@{/papers/{id}(id = ${quote.getId()})}" class="btn btn-primary">Go</a>	
											</div>
										</td>
					
									</tr>
					
								</tbody>
							</table>
						</div>
					</div>
				</li>

				<li class="list-group-item">
					<div class="row">
						<div class="col-md-3 to-bigger">Authors</div>
						<div class="col-md-9">

							<table class="table">
								<thead>
									<tr>
										<th scope="col">Name</th>
										<th scope="col">Surname</th>
										<th scope="col"></th>
									</tr>
								</thead>
								<tbody>
					
									<tr th:each="author : ${authors}">

										<td th:text="${author.getName()}"></td>
										<td th:text="${author.getSurname()}"></td>
										<td>
											<div style="float: right;">
												<a th:href="@{/authors/{id}(id = ${author.getId()})}" class="btn btn-primary">Go</a>
												<form action="#" th:action="@{/delete_paper_author/{id}(id = ${paper.getId()})}" method="post" style="float:right;margin-left:5px;">
													<input type="hidden" id="idAuthor" name="idAuthor" th:value="${author.getId()}">
													<button type="submit" class="btn btn-danger">Remove</button>
												</form>
											</div>
										</td>
					
									</tr>
					
								</tbody>
							</table>

							
							<div class="d-grid gap-2">
								<a th:href="@{/papers/add_author/{id}(id = ${paper.getId()})}" class="btn btn-secondary btn-block">Add an author</a>
							</div>

						</div>
					</div>
				</li>

				<li class="list-group-item">
					<div class="row">
						<div class="col-md-3 to-bigger">Reviewers</div>
						<div class="col-md-9">

							<table class="table">
								<thead>
									<tr>
										<th scope="col">Name</th>
										<th scope="col">Surname</th>
										<th scope="col"></th>
									</tr>
								</thead>
								<tbody>
					
									<tr th:each="reviewer : ${reviewers}">

										<td th:text="${reviewer.getName()}"></td>
										<td th:text="${reviewer.getSurname()}"></td>
										<td>
											<div style="float: right;">	
												<a th:href="@{/reviewers/{id}(id = ${reviewer.getId()})}" class="btn btn-primary">Go</a>
												<form action="#" th:action="@{/delete_paper_reviewer/{id}(id = ${paper.getId()})}" method="post" style="float:right;margin-left:5px;">
													<input type="hidden" id="idReviewer" name="idReviewer" th:value="${reviewer.getId()}">
													<button type="submit" class="btn btn-danger">Remove</button>
												</form>
											</div>
										</td>
					
									</tr>
					
								</tbody>
							</table>

							
							<div class="d-grid gap-2">
								<a th:href="@{/papers/add_reviewer/{id}(id = ${paper.getId()})}" class="btn btn-secondary btn-block">Add a reviewer</a>
							</div>

						</div>
					</div>
				</li>
				
			</ul>

		</div>

	    
	  </div>
	</main>











	<footer class="footer mt-auto py-3 bg-light">
	  <div class="container">
	    <span class="text-muted">Made with ❤️ by <a href="https://github.com/derogab">@derogab</a>, <a href="https://github.com/dlcgold">@dlcgold</a> and <a href="https://github.com/fdila">@fdila</a>.</span>
	  </div>
	</footer>

	<script src="/assets/js/bootstrap.bundle.min.js"></script>

</body>
</html>
